Bug 502253 - iBook G4 doesn't expose power_supply devices in sysfs
iBook G4 doesn't expose power_supply devices in sysfs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 15:41 EDT by Pablo Barros
Modified: 2010-06-28 08:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:39:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Barros 2009-05-22 15:41:51 EDT
Description of problem:

There is no "Running on Battery" tab on gnome-power-preferences; all settings work as if the computer was always plugged in, and the icon on the notification area is always of a plugged-in computer, with no charge information. When the battery gets too low, the computer just shuts down without warning.

I'm marking it as a g-p-m bug because other programs see the battery just fine. PowerDevil under KDE gives me all options for the battery, as does xfce4-power-manager. 

/proc/apm shows the battery status:
$ cat /proc/apm 
1.13 1.2 0x02 0x00 0x00 0x01 97% 61 min

hal sees it just fine:
$ lshal |grep battery
udi = '/org/freedesktop/Hal/devices/pmu_battery_0_0'
  battery.charge_level.current = 2048  (0x800)  (int)
  battery.charge_level.design = 2126  (0x84e)  (int)
  battery.charge_level.last_full = 2126  (0x84e)  (int)
  battery.charge_level.percentage = 96  (0x60)  (int)
  battery.charge_level.rate = 0  (0x0)  (int)
  battery.is_rechargeable = true  (bool)
  battery.present = true  (bool)
  battery.rechargeable.is_charging = false  (bool)
  battery.rechargeable.is_discharging = true  (bool)
  battery.remaining_time = 4096  (0x1000)  (int)
  battery.technology = 'unknown'  (string)
  battery.type = 'primary'  (string)
  info.capabilities = {'battery'} (string list)
  info.category = 'battery'  (string)
  info.udi = '/org/freedesktop/Hal/devices/pmu_battery_0_0'  (string)
  linux.pmu_path = '/proc/pmu/battery_0'  (string)



Version-Release number of selected component (if applicable):

gnome-power-manager-2.26.1-3.fc11.ppc

Other components in use:
hal-0.5.12-26.20090226git.fc11.ppc
kernel-2.6.29.3-155.fc11.ppc

and the desktop power managers:
xfce4-power-manager-0.8.0-0.2.beta1.fc11.ppc
kdebase-workspace-4.2.3-4.fc11.ppc (for PowerDevil)


How reproducible:

Happens every time on my computer, even after reinstalling Rawhide. Not sure if other iBook users have the same problem.



Additional info:

The exact model of the affected laptop:
$ cat /proc/cpuinfo 
processor	: 0
cpu		: 7455, altivec supported
clock		: 798.720000MHz
revision	: 3.3 (pvr 8001 0303)
bogomips	: 48.41
timebase	: 18432000
platform	: PowerMac
model		: PowerBook6,3
machine		: PowerBook6,3
motherboard	: PowerBook6,3 MacRISC3 Power Macintosh
detected as	: 287 (iBook G4)
pmac flags	: 0000001b
L2 cache	: 256K unified
pmac-generation	: NewWorld
Memory		: 640 MB
Comment 1 Richard Hughes 2009-06-03 04:18:53 EDT
What does devkit-power --verbose print?
Comment 2 Pablo Barros 2009-06-03 06:52:57 EDT
$ devkit-power --verbose
TI:07:49:07     TH:0x10018b70   FI:egg-debug.c  FN:egg_debug_init,306
 - Verbose debugging 1 (on console 1)DKP_VERBOSE

It's possible that DeviceKit isn't picking up the battery. That would explain why hal-based power managers work, and why this bug doesn't appear on either Debian or Ubuntu.
Comment 3 Richard Hughes 2009-06-03 07:06:15 EDT
So, what's the output of "ls /sys/class/power_supply/*/*"
Comment 4 Pablo Barros 2009-06-03 08:49:41 EDT
$ ls /sys/class/power_supply/*/*
ls: impossível acessar /sys/class/power_supply/*/*: Arquivo ou diretório não encontrado (file not found, power_supply is an empty dir)
Comment 5 Bug Zapper 2009-06-09 12:23:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 shaun bartlett 2009-07-25 19:44:45 EDT
I have the exact same problem, along with very similar output to all of the above commands.  Will we have to wait for F12 for this to be resolved?
Comment 7 Bug Zapper 2010-04-27 10:28:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:39:57 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.